Java Keystore password needs to be added to the config by the build-out script of dataone-cn-portal.

2016-11-29 19:04 - Jing Tao

Status: Closed Start date: 2016-11-29

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: dataone-cn-portal Estimated time: 0.00 hour

Target version: CCI-2.3.2   

Milestone: None Story Points:  

Product Version: *   

Description

Currently it is manually added to portal servlet client configuration after postinst.  

We need to automate it so that install asks for the password and the postinst puts it into the config.

Related issues:

Related to Infrastructure - Task #7507: Include ORCID API configuration in po... Closed 2015-12-04

History

#1 - 2016-12-02 00:24 - Dave Vieglais

- Target version changed from CCI-2.3.1 to CCI-2.3.2

Not a blocker so moving to 2.3.2

#2 - 2017-03-06 16:32 - Rob Nahf

- Category set to d1_portal_servlet

- Subject changed from Java Keystore password needs to be manually added to portal servlet client configuration to Java Keystore password needs to

be done by the build-out script of dataone-cn-portal.

- Description updated

- Assignee changed from Jing Tao to Rob Nahf

#3 - 2017-03-06 16:33 - Rob Nahf

- Subject changed from Java Keystore password needs to be done by the build-out script of dataone-cn-portal. to Java Keystore password needs to be

added to the config by the build-out script of dataone-cn-portal.

#4 - 2017-03-06 18:27 - Rob Nahf

- Related to Task #7507: Include ORCID API configuration in postinst  added

#5 - 2017-03-06 21:44 - Rob Nahf

noticed that the password is stored in plain-text in the tomcat deployment, readable by anyone.  This is a bigger security issue than keeping it in

debconf's password.dat file after running dataone-cn-os-core.

I think the best solution is to put this property, and the orcid secret into the tomcat server config  ($TOMCAT_HOME}/conf/web.xml), as per OA4MP's

configuration documentation (http://grid.ncsa.illinois.edu/myproxy/oauth/common/configuration/configuration-files.xhtml)

"Tip: It is a very good idea to put your context parameters in the server web.xml (should be located at $CATALINA_HOME/conf/web.xml.) This will

allow you to swap out/upgrade versions of OA4MP without having to touch any configuration "
#6 - 2017-03-07 20:43 - Rob Nahf

- Assignee changed from Rob Nahf to Jing Tao

#7 - 2017-03-07 23:44 - Jing Tao

- Category changed from d1_portal_servlet to dataone-cn-portal

- % Done changed from 0 to 100

- Status changed from New to Closed

Add a input form for the java keystore password. The form only shows up when the dataone-cn-os-core/key.store.password is blank.

The client.xml file is set only be readable by the tomcat7 user.

The code is committed to both trunk and 2.3 branch.
